Bug 198639 - Mouse unusable in Gnome
Mouse unusable in Gnome
Status: VERIFIED INCOMPLETE
Product: platform
Classification: Unclassified
Component: Window System
7.0
PC Linux
: P2 with 3 votes (vote)
: 7.4
Assigned To: Stanislav Aubrecht
issues@platform
jdk_bug_7057467 71patch3-fixed
: JDK_SPECIFIC
: 197922 198817 199162 213012 225817 240794 (view as bug list)
Depends on: 215977
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-16 14:40 UTC by pablopina
Modified: 2014-04-02 03:45 UTC (History)
13 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
You can see that mouse is in Refactor and menu coming up is File. (546.21 KB, image/png)
2011-05-18 13:43 UTC, pablopina
Details
textfield without the correct mouse shape (12.38 KB, image/png)
2012-01-13 02:52 UTC, eneko
Details
Possible patch (1.54 KB, patch)
2012-05-09 00:30 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pablopina 2011-05-16 14:40:49 UTC
In Ubuntu 11.04 + Gnome 3 when maximizing the window or taking it near the edge of the screen the menus (JMenu) don't work. Neither context menus or sometimes dropdowns either.

It looks like the JMenu gets the wrong coordinates from the OS as sometimes you are clicking at point x=10, y=50 and the menu displays at x=25, y=250. Or it may display at the right place but then when you try to hover over the menu items it is offsetted...

I think this is a major issue as you cant use NB in Ubuntu 11.04 with Gnome 3 or may be in any os with Gnome 3
Comment 1 Stanislav Aubrecht 2011-05-17 09:44:53 UTC
cannot reproduce

Product Version: NetBeans IDE 7.0 (Build 201104080000)
Java: 1.6.0_25; Java HotSpot(TM) Client VM 20.0-b11
System: Linux version 2.6.38-8-generic running on i386; UTF-8; en_US (nb)

please provide netbeans and jdk version info, some screenshots and reopen, thanks
Comment 2 pablopina 2011-05-18 13:38:07 UTC
I am running


Product Version: NetBeans IDE 7.0 (Build 201104080000)
Java: 1.6.0_24; Java HotSpot(TM) 64-Bit Server VM 19.1-b02
System: Linux version 2.6.39-0-generic running on amd64; UTF-8; en_IN (nb)
Userdir: /home/pablo/.netbeans/7.0

In my case, the most often occuring bug (essentially always when window is maximized) is that the menu that appears (e.g. File) is the one 250 pixels on the left of where the mouse is (e.g. Source)
Comment 3 pablopina 2011-05-18 13:43:54 UTC
Created attachment 108376 [details]
You can see that mouse is in Refactor and menu coming up is File.

You can see that mouse is in Refactor and menu coming up is File.
Comment 4 Stanislav Aubrecht 2011-05-18 13:46:07 UTC
it seems you've attached wrong screenshot:)
Comment 5 Jiri Rechtacek 2011-05-18 14:03:01 UTC
I'm using Ubuntu 11.04 w/ default Unity theme and I haven't seen such behaviour. The menu bars are always placed on the correct positions.

  Product Version         = NetBeans IDE Dev (Build 20110509-9eca6e363da5) (#9eca6e363da5)
  Operating System        = Linux version 2.6.38-8-generic running on amd64
  Java; VM; Vendor        = 1.6.0_23; Java HotSpot(TM) 64-Bit Server VM 19.0-b09; Sun Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_23-b05
  Java Home               = /usr/local/share/java/jdk1.6.0_23/jre
Comment 6 pablopina 2011-05-18 14:09:15 UTC
(In reply to comment #4)
> it seems you've attached wrong screenshot:)

No I have not attached the wron screenshot. On that screenshot you see the mouse pointer over 'Refactor' but 'File menu' showing

Works fine with Unity but not with Gnome3

More people reporting the issue:

http://forums.netbeans.org/topic38764.html

 quote:

Everything works like a charm, except Netbeans 7. The menus and 
contextual menus are nearly impossible to navigate into: 
- when you click on a menu, it disappears as soon as you release the 
mouse button. 
- when holding the mouse button and drawing along the menu (from File to 
Edit for instance), nothing happens (the File menu remains opened the 
Edit menu is not visible). 
- when dragging further on the right, the Edit menu is finally 
displayed, but the mouse is on the Refactor menu 
- It is almost impossible to select an item in the menu and when it 
finally works, you cannot select a sub-menu item
Comment 7 Stanislav Aubrecht 2011-05-18 14:28:11 UTC
sorry, i didn't notice you've got a dual screen setup so the right-hand part of the screen shot was scrolled out in my browser window.

is this reproducible with a single monitor only?
Comment 8 pablopina 2011-05-18 20:54:37 UTC
Hi,

I just tried with the primary monitor only and same problem.

It must be a JDK issue, JEdit (a java based text editor) has the same problem.

Also, not so important, but you may notice from the screenshot that the top gnome bar says java-lang-Thread next to the netbeans icon... would probably be better to have it saying "NetBeans 7.0"  there, wouldnt it?, Even though i notice this happens with all java apps. JEdit says: org-gjg-sp-jedit.jEdit on the top OS bar (next to ('Activities')
Comment 9 pablopina 2011-05-24 10:37:19 UTC
Any news on this?
Comment 10 Stanislav Aubrecht 2011-05-24 14:05:53 UTC
*** Bug 197922 has been marked as a duplicate of this bug. ***
Comment 11 Stanislav Aubrecht 2011-05-24 14:05:55 UTC
*** Bug 198817 has been marked as a duplicate of this bug. ***
Comment 12 LordQuackstar 2011-06-03 23:09:29 UTC
This is reproducable on Fedora  fully upgraded with the latest dev (201106031000). Not only that but the interface looks very different than on Windows computers. But thats a separate issue
Comment 13 pablopina 2011-06-04 03:05:22 UTC
Also,

when opening the libraries window of a project, 50% of the times windows decoration dissapears on all windows, not just netbeans...

I have to keep compiz-config-setting manager open to keep on disabling and enabling windows decorations.


Pablo.
Comment 14 roge.delgado 2011-07-21 05:44:10 UTC
Hi, I'm running Fedora 15 with Gnome 3 and have the same problem but only when the window is maximazed. It seems that the Gnome 3 it's the common denominator here. Some workaround?
Comment 15 LordQuackstar 2011-07-21 18:54:18 UTC
Just want to say that at least on Fedora 15, Netbeans 7.0.1 RC1, and *Java 7*, this issue seems to be fixed.
Comment 16 samscudder 2011-08-23 09:21:07 UTC
Having the same problems. Moving the windows to the top left corner, then maximizing is not solving the problem for me.

Product Version: NetBeans IDE 7.0.1 (Build 201107282000)
Java: 1.7.0; Java HotSpot(TM) 64-Bit Server VM 21.0-b17
System: Linux version 2.6.40.3-0.fc15.x86_64 running on amd64; UTF-8; en_US (nb)

(Actually, it's a Pentium Dual Core, not an amd64)
Comment 17 Antonin Nebuzelsky 2011-08-23 10:16:16 UTC
See JDK issue
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7057467

Increasing JDK bug priority to medium. Closing wontfix on our side.
Comment 18 wangsiyuan 2011-09-06 07:17:14 UTC
using openjdk instead of jdk can solve this problem.
my os is archlinux, i also get involed in this problem. then i changed jdk to openjdk, everything is ok now
Comment 19 Stanislav Aubrecht 2011-09-06 13:59:13 UTC
*** Bug 199162 has been marked as a duplicate of this bug. ***
Comment 20 eneko 2012-01-13 02:52:39 UTC
Created attachment 114852 [details]
textfield without the correct mouse shape
Comment 21 eneko 2012-01-13 02:54:02 UTC
It doesn't only happen with Netbeans, it happens with all swing apps, doesn't matter if you have double monitor or not. And it also affects to the pointer shape to me, I don't know if its a separate bug or not, but it happens when the "mouse offsetted" mode is on: The mouse shape doesn't change when it should, like in the textfield in the attachment, where it should be a "text cursor". In this case there is no offset, it isn't shown moving the pointer around de textfield.

I've found this kind of bugs in swing apps with openjdk6 () and openjdk7 () with GTK3.
Comment 22 shalom938 2012-04-02 14:47:45 UTC
same kind of issues  with netbeans and intellij on gentoo/gnome-shell
Comment 23 shalom938 2012-04-02 14:48:51 UTC
same kind of issues  with netbeans and intellij on gentoo/gnome-shell
Comment 24 shalom938 2012-04-02 14:53:32 UTC
Sorry for the double comment.
and confirmed that using openjdk on gentoo solves some of problems.
Comment 25 Selpi 2012-04-16 03:43:25 UTC
Still exists in oracle jdk update 4

java version "1.7.0_04-ea"
Java(TM) SE Runtime Environment (build 1.7.0_04-ea-b19)
Java HotSpot(TM) Server VM (build 23.0-b20, mixed mode)
Comment 26 RobertPattinson 2012-05-01 07:36:01 UTC
SPAM - Removed by Administrator
Comment 27 Jesse Glick 2012-05-08 23:39:34 UTC
(In reply to comment #18)
> using openjdk instead of jdk can solve this problem.

It is still broken for Oracle JDK. This is a serious bug. Can we get this escalated so that http://icedtea.classpath.org/hg/release/icedtea6-1.10/rev/711c59eac969 gets accepted?
Comment 28 Jesse Glick 2012-05-09 00:29:32 UTC
I think it can be worked around...
Comment 29 Jesse Glick 2012-05-09 00:30:50 UTC
Created attachment 119181 [details]
Possible patch

The attached patch against a dev build works for me in JDK 7u4, Ubuntu 12.04 w/ GNOME 3.4. Please consider applying it or something like it (probably needs testing to make sure other environments are not regressed).
Comment 30 Jesse Glick 2012-05-09 01:54:35 UTC
(In reply to comment #8)
> the top gnome bar says java-lang-Thread next to the netbeans icon

Bug #183739.
Comment 31 Stanislav Aubrecht 2012-05-10 10:27:33 UTC
core-main 409566c2aa65

Thanks for the patch, Jesse!
Comment 32 Marian Mirilovic 2012-05-10 10:56:16 UTC
Anybody able reproduce in the past, please verify the fix in next daily build and let us know. If it works, we will backport the fix into 7.1.
Comment 33 Quality Engineering 2012-05-11 10:11:57 UTC
Integrated into 'main-golden', will be available in build *201205110400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/409566c2aa65
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #198639 - workaround for main menu & mouse issues in Gnome 3
Comment 34 asenk 2012-05-14 15:10:03 UTC
Verified:

Product Version: NetBeans IDE Dev (Build 201205130400)
Java: 1.7.0_04; Java HotSpot(TM) Client VM 23.0-b21
System: Linux version 3.2.0-24-generic-pae running on i386; UTF-8; en_US (nb)

Ubuntu 12.04 with Gnome3
Comment 35 Stanislav Aubrecht 2012-05-14 15:32:19 UTC
in release71_fixes as f006636197b4
Comment 36 Quality Engineering 2012-05-15 15:00:18 UTC
Integrated into 'releases', will be available in build *201205151102* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/f006636197b4
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #198639 - workaround for main menu & mouse issues in Gnome 3
Comment 37 Marian Mirilovic 2012-05-27 15:15:35 UTC
*** Bug 213012 has been marked as a duplicate of this bug. ***
Comment 38 Ralph Ruijs 2012-08-16 09:11:42 UTC
*** Bug 216933 has been marked as a duplicate of this bug. ***
Comment 39 mrowner 2012-09-30 17:49:52 UTC
Actually it's NOT fixed. I just saw it Ubuntu GNOME Remix beta2 + Netbeans 7.2.
Comment 40 Stanislav Aubrecht 2012-10-01 08:03:25 UTC
(In reply to comment #39)
> Actually it's NOT fixed. I just saw it Ubuntu GNOME Remix beta2 + Netbeans 7.2.

Please provide your JDK version info first.
Comment 41 Jesse Glick 2012-10-01 21:39:24 UTC
(In reply to comment #39)
> I just saw it Ubuntu GNOME Remix beta2 + Netbeans 7.2.

mrowner: you may be seeing bug #215977 which is awaiting a patch update for 7.2.
Comment 42 David_Entwistle 2012-12-01 17:34:17 UTC
Although not using Gnome 3, this remains a problem seen with NetBeans IDE 7.2.1 (Build 201210100934) under Linux Mint 14 Nadia and the Cinnamon desktop.

DESKTOP_SESSION = default.desktop
java.version = 1.7.0_09
java.vendor = Oracle Corporation
Comment 43 nathan.hack 2013-03-17 02:35:52 UTC
This is not FIXED! I am also having this problem.  The best case of it working was when the window initial appear(not maximized) it seemed to work.. but as soon as maximized BAM back to crap.
Comment 44 eagle.lu 2013-03-25 04:35:52 UTC
Yes, I saw this issue with the netbeans 7.3+ latest LinuxMint14+ openjdks 1.7.0_15
Comment 45 febi 2013-04-13 20:21:48 UTC
I have this issue on my computer - in the IDE and in the rcp-application. 
Linux Mint Mate, V14

NetBeans IDE 7.3 (Build 201302261559)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b02
System: Linux version 3.5.0-17-generic running on i386
Comment 46 Stanislav Aubrecht 2013-04-17 13:03:31 UTC
*** Bug 225817 has been marked as a duplicate of this bug. ***
Comment 47 secangkirkopipanas 2013-05-06 06:50:52 UTC
Hi all,

I experienced with this issue too. Previously I tried below workaround:
1. Maximize manually by using mouse to enlarge the window,
2. Move the window to the top left, and click Maximize button of the window.

But once I installed Compiz Fusion, now the problem has gone. Now I can maximize the windows of Java Swing apps (i.e. Netbeans, SQLDeveloper) by using maximize button without any issues on the menu. I think this issue hasn't been solved yet.

FYI, I'm using Oracle JDK 1.6.0_45 on Linux Mint 14 MATE.

Hope this help. Thanks
Comment 48 fcartegnie 2013-05-08 13:42:30 UTC
Same problem Gnome 2.x, Fedora 18, MATE Desktop.

Mouse coordinates problem. Really annoying.
Comment 49 Stanislav Aubrecht 2013-05-17 09:43:31 UTC
The problem with MATE desktop should be fixed in https://netbeans.org/bugzilla/show_bug.cgi?id=227754
Comment 50 Lope 2013-08-07 07:54:46 UTC
R
Comment 51 Lope 2013-08-07 08:00:17 UTC
Running Mint 15 x64 (derived from Ubuntu 13.04), Mate 1.6.0.
Installed the Netbeans PHP installer downloaded from Netbeans.org.

Clicking on the menus they disappear almost instantly.
Its not possible to use them with the mouse.
They are usable with the keyboard (Holding Alt then pressing the underscored menu letter, then down arrow, then enter).
Comment 52 Lope 2013-08-07 08:18:49 UTC
The problem is actually caused by wrong mouse-up co-ordinates.

If I click the menu disappears instantly.
If I press and hold the menu appears and stays open.
Then if I move the mouse below the menu and to the right of it, I can select the various menu items. When I release the button, the menu item is activated successfully.
Comment 53 Lope 2013-08-07 08:19:17 UTC
The problem is actually caused by wrong mouse-up co-ordinates.

If I click the menu disappears instantly.
If I press and hold the menu appears and stays open.
Then if I move the mouse below the menu and to the right of it, I can select the various menu items. When I release the button, the menu item is activated successfully.
Comment 54 Lope 2013-08-07 08:42:11 UTC
Okay I found a workaround.
Don't maximize. Resize the window to almost full-screen.
Works fine now.
Comment 55 michael_n 2013-11-18 04:03:31 UTC
> If I press and hold the menu appears and stays open.

In my test, pressing & holding may cause the menu to stay open, but moving the mouse (while button pressed) down the menu still causes the wrong menu to open -- i.e., click & hold open "Tools", slide mouse down, and then "Team" or "Profile" (menus to the left) open up.  (See bug #227754 and my comments) 


Product Version: NetBeans IDE Dev (Build 201311070001)
Java: 1.7.0_25; OpenJDK 64-Bit Server VM 23.7-b01
Runtime: OpenJDK Runtime Environment 1.7.0_25-b30
System: Linux version 3.8.0-33-generic running on amd64; UTF-8; en_US (nb)

Mate 1.6.0 / Linux Mint 15
Comment 56 GCIDev 2014-02-14 06:28:20 UTC
I am running 

Product Version: NetBeans IDE 7.4 (Build 201310111528)
Updates: NetBeans IDE is updated to version NetBeans 7.4 Patch 2
Java: 1.7.0_45; Java HotSpot(TM) 64-Bit Server VM 24.45-b08
Runtime: Java(TM) SE Runtime Environment 1.7.0_45-b18
System: Linux version 3.0.34-0.7-default running on amd64; ISO-8859-1; en_US (nb)

I am having the same problem with the context menu in the editor. When I want to undo a code change, the context menu appears, but has no impact.  It doesn’t matter if I am full screen, if I resize the window as mentioned in this bug report, nothing. The only thing I can do is go to ‘History’ and revert the changes.
Comment 57 Stanislav Aubrecht 2014-02-14 09:33:40 UTC
*** Bug 240794 has been marked as a duplicate of this bug. ***
Comment 58 Jackie_Rosen 2014-02-16 11:24:55 UTC
SPAM - Removed by Administrator
Comment 59 Jackie_Rosen 2014-02-16 11:25:34 UTC
SPAM - Removed by Administrator
Comment 60 jcarevalo 2014-04-02 03:40:24 UTC
I'm having the same issue when the window is maximized, the menus disapear when I release the mouse button.

Product Version = NetBeans IDE 8.0 (Build 201403101706)
Operating System = Debian 7 - Linux version 3.12-1-amd64 running on amd64
Java; VM; Vendor = 1.7.0_51
Runtime = Java HotSpot(TM) 64-Bit Server VM 24.51-b03
Windows Manager: GNOME Shell 3.8
Comment 61 jcarevalo 2014-04-02 03:45:12 UTC
If I resize the window to fill all the desktop an then "maximize" the window, the there is no problem with the menu.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo